Get the status of the network connection between the Octopus server and a machine
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the machine whose connection status is being requested.spaceIdstring (required)
ID of the space.
Response
200 — The connection status
CurrentTentacleVersionstringIdstring
Gets or sets a unique identifier for this resource.LastCheckedstring
Formatdate-time.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Logsarray of objectCategorystringDetailstringGapLastNumberintegerMessageTextstringNumberintegerOccurredAtstring
Formatdate-time.
MachineIdstringStatusstring
Example Response
JSON
{
"CurrentTentacleVersion": "string",
"Id": "string",
"LastChecked": "2020-01-01T00:00:00.000Z",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Logs": [
{
"Category": "string",
"Detail": "string",
"GapLastNumber": 0,
"MessageText": "string",
"Number": 0,
"OccurredAt": "2020-01-01T00:00:00.000Z"
}
],
"MachineId": "string",
"Status": "string"
}